Subject: 45th Annual Spring Wildflower Pilgrimage

From: [email-masked] (Susan Farmer)
Date: 13 Apr 1995 22:32:06 GMT

Will be held the last full weekend of April in the Great Smoky Mountain 
National Park.  See http://www.goldsword.com/wildflower/pilgrimage.html
for more details.

Susan

--
Susan B. Farmer     [email-masked]     Lady Jerusha Kilgore     
I can't even find time to clean house and you want me to come up with a .sig?
     B.A. in Computer Science ... Graduate Student in Botany
		Talk to me about your Trillium species!